package portoRechner;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import java.awt.Font;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JTextField;

public class PortoRechner extends JFrame {

	private static final long serialVersionUID = -6807550534660234001L;
	private JPanel contentPane;
	private final ButtonGroup buttonGroup = new ButtonGroup();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					PortoRechner frame = new PortoRechner();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public PortoRechner() {
		setResizable(false);
		setTitle("Paket Porto Rechner");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 280, 330);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);

		JLabel lblPortoRechner = new JLabel("Porto Rechner");
		lblPortoRechner.setFont(new Font("DejaVu Sans", Font.PLAIN, 24));
		lblPortoRechner.setBounds(12, 12, 258, 24);
		contentPane.add(lblPortoRechner);

		JLabel lblGewicht = new JLabel("Gewicht");
		lblGewicht.setBounds(12, 66, 90, 15);
		contentPane.add(lblGewicht);

		final JRadioButton gewKlfuenf = new JRadioButton("< 5kg");
		buttonGroup.add(gewKlfuenf);
		gewKlfuenf.setBounds(12, 93, 134, 24);
		contentPane.add(gewKlfuenf);

		final JRadioButton gewFuenfbisZehn = new JRadioButton("5kg bis 10kg");
		buttonGroup.add(gewFuenfbisZehn);
		gewFuenfbisZehn.setBounds(12, 129, 134, 24);
		contentPane.add(gewFuenfbisZehn);

		final JRadioButton gewGrZehn = new JRadioButton("> 10kg");
		buttonGroup.add(gewGrZehn);
		gewGrZehn.setBounds(12, 165, 134, 24);
		contentPane.add(gewGrZehn);

		JLabel lblAbmessungen = new JLabel("Abmessungen");
		lblAbmessungen.setBounds(150, 64, 90, 15);
		contentPane.add(lblAbmessungen);

		JLabel hoehe = new JLabel("Hhe:");
		hoehe.setBounds(150, 96, 60, 15);
		contentPane.add(hoehe);

		final JTextField txtHeight = new JTextField();
		txtHeight.setBounds(190, 95, 50, 20);
		contentPane.add(txtHeight);
		txtHeight.setColumns(3);

		JLabel lblMm = new JLabel("mm");
		lblMm.setBounds(242, 98, 28, 15);
		contentPane.add(lblMm);

		JLabel breite = new JLabel("Breite:");
		breite.setBounds(150, 132, 60, 15);
		contentPane.add(breite);

		final JTextField txtLength = new JTextField();
		txtLength.setBounds(190, 131, 50, 20);
		contentPane.add(txtLength);
		txtLength.setColumns(3);

		JLabel lblMm_0 = new JLabel("mm");
		lblMm_0.setBounds(242, 134, 28, 15);
		contentPane.add(lblMm_0);

		JLabel tiefe = new JLabel("Tiefe:");
		tiefe.setBounds(150, 168, 60, 15);
		contentPane.add(tiefe);

		final JTextField txtDeep = new JTextField();
		txtDeep.setBounds(190, 167, 50, 20);
		contentPane.add(txtDeep);
		txtDeep.setColumns(3);

		JLabel lblMm_1 = new JLabel("mm");
		lblMm_1.setBounds(242, 170, 28, 15);
		contentPane.add(lblMm_1);

		JLabel lblSonstiges = new JLabel("Sonstiges");
		lblSonstiges.setBounds(12, 201, 75, 15);
		contentPane.add(lblSonstiges);

		final JCheckBox chckbxNachname = new JCheckBox("Nachname");
		chckbxNachname.setBounds(12, 228, 119, 24);
		contentPane.add(chckbxNachname);

		final JCheckBox chckbxExpress = new JCheckBox("Express");
		chckbxExpress.setBounds(150, 228, 90, 24);
		contentPane.add(chckbxExpress);

		JLabel lblPreis = new JLabel("Preis:");
		lblPreis.setFont(new Font("Dialog", Font.BOLD, 14));
		lblPreis.setBounds(131, 271, 46, 14);
		contentPane.add(lblPreis);

		final JLabel porto = new JLabel("0.0");
		porto.setName("portoPreis");
		porto.setFont(new Font("DejaVu Sans", Font.BOLD, 14));
		porto.setBounds(190, 265, 50, 26);
		contentPane.add(porto);

		JButton btnBerechnen = new JButton("Berechnen");
		btnBerechnen.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) {
				/*
				 * Porto berechnen
				 */

				int weight;
				Double packetporto;

				if (gewKlfuenf.isSelected()) {
					weight = 5;
				} else if (gewFuenfbisZehn.isSelected()) {
					weight = 10;
				} else if (gewGrZehn.isSelected()) {
					weight = 15;
				} else {
					weight = 0;
				}

				Calculator portcalc = new Calculator(weight, Integer
						.parseInt(txtLength.getText()), Integer
						.parseInt(txtHeight.getText()), Integer
						.parseInt(txtDeep.getText()), chckbxExpress
						.isSelected(), chckbxNachname.isSelected());
				packetporto = portcalc.calc();

				porto.setText(packetporto.toString());

			}
		});
		btnBerechnen.setBounds(12, 264, 109, 27);
		contentPane.add(btnBerechnen);

	}
}
